# -*- coding: utf-8 -*-
from flask import Flask,render_template, request,Response, send_file
from flask import jsonify

import os,sys, csv, json
import datetime
import requests
import time
import logging

import time,datetime
timestamp = str(int(time.mktime(datetime.datetime.today().timetuple())))
debug_path = "./error"+timestamp+".log"

f = open(debug_path, "w")
f.close()

###################################################

data_1 =   {
    "pop": 0,
    "ric": 0,
    "cub": 0,
    "est": 0,
    "sat": 0,
    "lav": 0,
    "ser": 0,
    "com": 0,
    "amb": 0
  }

data_2 = data_1.copy()
data_3 = data_1.copy()

f = open("./saved_data/data_1.json", "w")
f.close()
f = open("./saved_data/data_2.json", "w")
f.close()
f = open("./saved_data/data_3.json", "w")
f.close()
####################################################

app = Flask(__name__)

app.config.update(
	TEMPLATES_AUTO_RELOAD=True,
	DEBUG=True
)


@app.route('/', methods=['GET', 'POST'])
def login():
	if request.method == 'POST':
		return "post"
	else:
		return "get"


####################################################
#viz
####################################################

@app.route('/viz', methods=['GET'])
def viz():
	return render_template("/interface/interface.html")

####################################################
#viz files
####################################################

@app.route('/gauge.js', methods=['GET'])
def gauge():
	return send_file("./templates/interface/gauge.js")

@app.route('/pop.png', methods=['GET'])
def pop():
	return send_file("./templates/interface/pop.png")

@app.route('/ric.png', methods=['GET'])
def ric():
	return send_file("./templates/interface/ric.png")

@app.route('/cub.png', methods=['GET'])
def cub():
	return send_file("./templates/interface/cub.png")

@app.route('/est.png', methods=['GET'])
def est():
	return send_file("./templates/interface/est.png")

@app.route('/sod.png', methods=['GET'])
def sod():
	return send_file("./templates/interface/sod.png")


@app.route('/jquery.color-2.1.2.js', methods=['GET'])
def jquery():
	return send_file("./templates/interface/jquery.color-2.1.2.js")

@app.route('/DIN Condensed Bold.ttf', methods=['GET'])
def bold():
	return send_file("./templates/interface/DIN Condensed Bold.ttf")

@app.route('/background_footer_xs.png', methods=['GET'])
def background():
	return send_file("./templates/interface/background_footer_xs.png")

####################################################
#getting data
###################################################
@app.route('/data_1', methods=['POST'])
def posted_data_1():
	loaded_data = request.get_json()
	for k in data_1: data_1[k] = loaded_data[k]

	##save data##
	f = open("./saved_data/data_1.json", "a")
	json.dump(data_1, f)
	f.write("\n")
	f.close()
	############

	logging.debug(json.dumps(data_1))
	return jsonify(request.get_json())

@app.route('/data_2', methods=['POST'])
def posted_data_2():
	loaded_data = request.get_json()
	for k in data_2: data_2[k] = loaded_data[k]

	##save data##
	f = open("./saved_data/data_2.json", "a")
	json.dump(data_2, f)
	f.write("\n")
	f.close()
	############

	logging.debug(json.dumps(data_2))
	return jsonify(request.get_json())

@app.route('/data_3', methods=['POST'])
def posted_data_3():
	loaded_data = request.get_json()
	for k in data_3: data_3[k] = loaded_data[k]

	##save data##
	f = open("./saved_data/data_3.json", "a")
	json.dump(data_3, f)
	f.write("\n")
	f.close()
	############

	logging.debug(json.dumps(data_1))
	return jsonify(request.get_json())

####################################################

@app.route('/test.json', methods=['GET'])
# def send_test_json():
# 	f = open("test.json", "r")
# 	data = json.load(f)
# 	f.close()
#
# 	print data[0]
# 	return jsonify(data[0])

def send_test_json():
	data = {}
	for k in data_1: data[k] = round((data_1[k] + data_2[k] + data_3[k])/3.0,2)
	logging.debug(json.dumps(data))
	return jsonify(data)

if __name__ == "__main__":


    logging.basicConfig(filename=debug_path,level=logging.DEBUG)

    app.run()
